Supported Fishbowl Versions

From Fishbowl

Jump to: navigation, search

Fishbowl supports the two most recent major releases of Fishbowl. For example, if Fishbowl 2016.14 is the most current version, all of the Fishbowl 2016 versions are supported, as well as all of the Fishbowl 2015 versions.

Because each release of Fishbowl also provides improvements and enhancements, Fishbowl recommends running the most current version. When calling the Training or Support team, it may be necessary to update to the latest version in order to fully troubleshoot the Fishbowl database. For questions or concerns regarding the supported versions, please contact Fishbowl Support.

Also see Supported QuickBooks Versions and Supported Operating Systems.

Personal tools
Namespaces
Variants
Actions
Navigation
Other Pages
Toolbox
Print/export
Translate